Skip to main content
GET
/
v1
/
knowledge-bases
/
{kb_id}
/
sources
List Kb Sources
curl --request GET \
  --url https://api.oneinbox.ai/v1/knowledge-bases/{kb_id}/sources \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "knowledge_base_id": "<string>",
    "type": "<string>",
    "source": "<string>",
    "chunk_count": 123,
    "status": "<string>",
    "error_message": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "file_name": "<string>",
    "mime_type": "<string>",
    "file_size": 123,
    "token_count": 0
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

kb_id
string<uuid>
required

Response

Successful Response

id
string
required
knowledge_base_id
string
required
type
string
required
source
string
required
chunk_count
integer
required
status
string
required
error_message
string | null
required
created_at
string<date-time>
required
file_name
string | null
mime_type
string | null
file_size
integer | null
token_count
integer
default:0